<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Links</title>
	</head>
	<body>
		<!-- "id" attribute assigns a unique named identifier to an element -->
		<h2 id="top">HTML Attributes</h2>
		<p align="center">
			<em>Modifiers of elements behaviors.</em>
		</p>
		<h2>HTML Images</h2>
		<p align="right">
			<!-- &lt; and &gt; are called "HTML Entities" is used to include special characters into text -->
			<em>An image can be shown using  &lt;img&gt; tag along with its <strong>src attribute</strong></em>
		</p>
		<!-- Add an image using absolute link. -->
		<a href="https://place-puppy.com/300x300">
		<img src="https://place-puppy.com/300x300"></a>
		<p>
			<!-- <code> tag is used ot define a piece of computer code display text in the browser -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
				
		</p>
		<!-- Add an image using relatives -->
		<img src="./images/zuitt.png">	
		<p>
			<code>
				&lt;img src="./images/zuitt.png"&gt;	
			</code>
		</p>
		<p>
			Valid image extensions are the following:
		</p>
		<!-- 	
			In ol/ul, type attribute is change the numbered point (default) to another ordered list type 
			-other values for type attributes in ol are ff:
				-a
				-1
				-A
				-i
				-I
			-other values for type attributes in ul are ff:
				-disc
				-circle
				-square
		
		-->
		<!-- The "reversed" attributes reverses the order of the bullet points.
		 -->
		<ol type="I" reversed>
			<li>png</li>
			<li>jpeg/jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>
		<p>
			Take a look at w3schools attribute reference 
			<a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank"> HERE
			</a>
		</p>
		<h2>HTML Links</h2>
		<h4>Absolute Link</h4>
		<!-- Create a hyperlink element that redirects to a different page -->
		<!-- <a> tag - creates a hyperlink element when clicked will be redirect to a different page.
		"href" attributes means "hypertext reference" which is use to specify the link -->
		<a href="https://zuitt.co/" target="_blank">I'm a Hyperlink</a>

		<h4>Relative Link</h4>
		<p>Go to <a href="./link.html">
			link.html
			</a>
		</p>
		<p>
			<!-- Redirects to the HTML element with the id attribute that value is equal to "top"-->
			Go to <a href="#top"> top</p></a>


	</body>
</html>